.TH wxTextDataObject 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxTextDataObject \- See external documentation: wxTextDataObject\&.
.SH DESCRIPTION
.LP
See external documentation: wxTextDataObject <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextdataobject\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxDataObject 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxTextDataObject()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxTextDataObject()
.br
.RS
.LP
Equivalent to new([])\&.
.RE
.LP
.B
new(Options::[Option]) -> wxTextDataObject()
.br
.RS
.TP
Types
Option = {text, string()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextdataobject\&.html#wxtextdataobjectwxtextdataobject>\&.
.RE
.LP
.B
getTextLength(This::wxTextDataObject()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextdataobject\&.html#wxtextdataobjectgettextlength>\&.
.RE
.LP
.B
getText(This::wxTextDataObject()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextdataobject\&.html#wxtextdataobjectgettext>\&.
.RE
.LP
.B
setText(This::wxTextDataObject(), Text::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtextdataobject\&.html#wxtextdataobjectsettext>\&.
.RE
.LP
.B
destroy(This::wxTextDataObject()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
